Power CD+G Player Pro Help

Power CD+G Player Pro

Welcome to Power CD+G Player Pro.

Power CD+G Player Pro is a CD+G karaoke player. It allows to play CD+G discs directly from most of CD-ROM drives and also supports BIN and CDG (MP3+G) file formats. It will convert your PC into a karaoke machine.

Most important features include:

  • CD+G discs playback directly from most CD-ROMs
  • Support for CDG and BIN file formats
  • Support for any multimedia formats (AVI, MPEG) that are supported by your system
  • Seekbar allows to jump to any part of karaoke song
  • Full screen mode playback
  • Playlist allows to manage your karaoke collection
  • Key Transposer - adjust the song to your voice

Help topics

Power CD+G Player Pro main window

How to...

Settings

Troubleshooting

Evaluating and registering Power CD+G Player Pro


Power CD+G Player Pro Help

Power CD+G Player Pro Main Window

The main window of Power CD+G Player Pro looks similar to any Windows player software.

Click on image below to get more context-sensitive information

Video Window

Here you can see the lyrics of the current song. If you are playing a source file without lyrics (like MP3 or regular CD) this area will be black.

Seekbar

Seekbar displays current playback position in file. You may quickly move to any position by clicking on the bar or by dragging the position marker.

Due to sequencial structure of CD+G files we do not advice performing seek and forward operations on CD+G discs. It will work, but may cause graphics deterioration and will take a while before the playback is resumed.

Play and Stop buttons

These buttons allow to start, stop, and pause the playback. If no file is loaded they are not active.

Previous and Next buttons

These buttons allow to move to the previous or to the next song from the playlist.

Load File button

Use this button to load a single file. The file will be added to the playlist. Note that you can also add a file by dropping it on Power CD+G Player Pro window.

Settings button

This button displays Settings dialog box that allows you to adjust various options of Power CD+G Player Pro (more information here).

Full screen button

Clicking this button will enable full screen playback mode -- only the video window will be visible. To return to the normal mode press ESC or Alt+Enter. You may also use Alt+Enter to start full screen mode.

Volume control

Move the slider to adjust the playback volume. Please note that in addition you may also use regular Windows volume controls.

Key Transposer

Key Transposer allows to modify the key of the song to adjust it to singer's voice. Enable the transposer by clicking on the LED control and then move the slider to change the key. The current pitch shift value (in semitones) is displayed on the right.

Please note that pitch shifting may slightly reduce the quality of the music. It gives better results for instrumental parts and worse for human voice.

Playlist

You may compose songs into a playlist. The playlist may be saves and then loaded. Tracks from a single CD+G disc will be added as a playlist.

To change the order of the songs in the playlist simply drag the song and drop it in its new position.

Doubleclick the file to start the playback.

Load CD

Click this button to load a CD into the player. If you have several CD-ROM drives installed in your computer use Settings dialog box to select active drive.

Tracks will be available on the playlist like any other files.

Due to sequencial structure of CD+G files we do not advice performing seek and forward operations on CD+G discs. It will work, but may cause graphics deterioration and will take a while before the playback is resumed.

Add, Remove, and Clear buttons

These buttons allow you to add files to the playlist, remove current file or clear the entire list. You may also add files to the playlist by dropping them onto Power CD+G Player Pro window.

Playlist Load and Save buttons

Use these buttons to save your playlist and to retrieve it later. Playlists are saved in CDP files.

About button

Displays program information. Also allows to register the software and check the website for updates.

Web button

Open Power CD+G Player Pro page on PowerKaraoke website.

Help button

Provides Help for the software.

Close button

Exists Power CD+G Player Pro .


Settings

Power CD+G Player Pro Settings

To open Settings dialog box click Settings button ( [image]) or choose Settings from context menu.

CD-ROM device

Use the list to select the CD-ROM that will be used to play CD+Gs.

Automatically load CD on startup

If this option is selected Power CD+G Player Pro will automatically load a CD on start.

Use faster CD reading method

This option enables 4x CD+G reading speed (as opposed to regular 1x speed). Sometimes reading the disc with too high speed may result in read errors (they will manifest as artifacts in video window). Check this option if playback stutters or if you use seek function ofter.

Check for updates on exit

If this option is checked Power CD+G Player Pro will display a prompt to check for new version on the internet.

Associate BIN and CDG files with Power CD+G Player Pro

Clicking this button will associate BIN and CDG files with Power CD+G Player Pro, so when you doubleclick them they will open automatically.


Power CD+G Player Pro How Tos

Power CD+G Player Pro How To List

How to play a CD+G disc

To play a CD+G disc:

  1. Insert the disc into CD-ROM drive. If you have more than one drive installed in your system, click Settings button ( [image]) and select the drive you would like to use in Settings dialog box.
  2. Click Load CD button ( [image])
  3. Now select the track you would like to play and click Play button ( [image]).

How to change the default CD-ROM drive

To select default CD-ROM drive click Settings button ( [image]) and select the drive you would like to use in Settings dialog box.

How to change the key of the song

Key Transposer allows to modify the key of the song to adjust it to singer's voice.

Enable the transposer by clicking on the LED control and then move the slider to change the key. The current pitch shift value (in semitones) is displayed on the right.

Please note that pitch shifting may slightly reduce the quality of the music. It gives better results for instrumental parts and worse for human voice.


Power CD+G Player Pro Troubleshooting

Contents:

ASPI is not available in my computer. Why?

I play CD+Gs and see no lyrics

I play CD+G discs and graphics are damaged

ASPI is not available in my computer. Why?

Windows 95, 98 and ME come with a working ASPI manager but Windows NT, 2000 and XP do not have any ASPI manager at all. In rare situations, some other program may have replaced your ASPI manager even if you are using Win 95/98/ME.
Adaptec has many ASPI drivers available and they are free for anybody to download and install (you don't need to own an Adaptec SCSI card or software product). These drivers will also add support for ATAPI CDROM devices.
Download Adaptec ASPI drivers for Windows 98 / Me / NT / 2000 / XP

I play CD+Gs and see no lyrics

Your CD-ROM may not be able to read CD+G data. If you have more than one CD-ROMs in your computer, please try the other device.

I play CD+G discs and graphics are damaged

Your CD+G disc may be scratched -- it downgrades the video quality. Some CD-ROM drives are better at reading damaged discs, so if you have more than one installed in your computer, please try the other one. Also make sure that Use faster CD reading method option in Settings dialog box is unchecked.


Power CD+G Player Pro Evaluating and Registering

How do I unlock Power CD+G Player Pro?

To unlock Power CD+G Player Pro you need to purchase the unlock code from PowerKaraoke website. The unlock code will be delivered via email. Once you have it click About button ( [image]) located in the bottom right corner of the window and then click red Unlock Power CD+G Player Pro. You may also select Unlock from menu after right-clicking anywhere in Power CD+G Player Pro window.

Once the unlock code has been accepted all limitations will be removed and you will see your name in the About dialog box.

What are the limitation of the evaluation version

Unregistered version of Power CD+G Player Pro allows you to fully evaluate the software, but has some limitations:

  • you will see the window prompting to register on startup and from time to time during use of the software
  • CD+G discs playback will be limited to three randomly selected tracks
  • Power CD+G Player Pro banner will be displayed in the video window
  • 'Unregistered copy' text will be displayed at the bottom left of the window

Unlocked version does not have these limitations.